Summary:		Process monitor and restart utility
Name:			monit
Version:		5.22.0
Release:		%mkrel 1
License: 		GPLv3+
Group: 			Monitoring
URL: 			http://www.tildeslash.com/monit/
Source0: 		http://mmonit.com/monit/dist/%{name}-%{version}.tar.gz
Patch0:			monit-5.8-lsb-init.patch
BuildRequires:		flex
BuildRequires:		bison
BuildRequires:		openssl-devel
BuildRequires:		pam-devel
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
Monit is a utility for managing and monitoring processes,
files, directories and devices on a Unix system. Monit conducts
automatic maintenance and repair and can execute meaningful causal
actions in error situations.

%prep
%setup -q
%autopatch -p0

%build
%configure2_5x
%make_build
# enable logging
sed -i 's|^# set logfile|set logfile|' monitrc

%install
%make_install

%__install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}.d
%__install -m 600 monitrc %{buildroot}%{_sysconfdir}/monitrc

%__install -d -m 755 %{buildroot}%{_initrddir}
%__install -m 755 system/startup/rc.monit %{buildroot}%{_initrddir}/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc CHANGES COPYING README
%config(noreplace) %{_sysconfdir}/monitrc
%dir %{_sysconfdir}/%{name}.d
%{_initrddir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Apr 26 2017 akien <akien> 5.22.0-1.mga6
+ Revision: 1097535
- Version 5.22.0

* Sat Oct 29 2016 daviddavid <daviddavid> 5.20.0-1.mga6
+ Revision: 1063888
- new version: 5.20.0, fixes CVE-2016-7067 (mga#19674)

* Thu Jun 16 2016 luigiwalser <luigiwalser> 5.8-6.mga6
+ Revision: 1021757
- rediff patch from opensuse to disable SSLv3

* Wed Mar 02 2016 umeabot <umeabot> 5.8-5.mga6
+ Revision: 983686
- Rebuild for openssl

* Tue Feb 02 2016 umeabot <umeabot> 5.8-4.mga6
+ Revision: 931551
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.8-3.mga5
+ Revision: 740242
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.8-2.mga5
+ Revision: 682570
- Mageia 5 Mass Rebuild

* Mon Apr 28 2014 dams <dams> 5.8-1.mga5
+ Revision: 618711
- new version 5.8

* Mon Feb 24 2014 dams <dams> 5.7-1.mga5
+ Revision: 596217
- new version 5.7

* Sat Oct 19 2013 umeabot <umeabot> 5.6-2.mga4
+ Revision: 533779
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 dams <dams> 5.6-1.mga4
+ Revision: 475384
- new version 5.6

* Mon Jul 01 2013 dams <dams> 5.5.1-1.mga4
+ Revision: 449385
- new version 5.5.1

* Sat Jan 12 2013 umeabot <umeabot> 5.5-2.mga3
+ Revision: 360217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dams <dams> 5.5-1.mga3
+ Revision: 291906
- new version 5.5

* Fri Jun 01 2012 dams <dams> 5.4-1.mga3
+ Revision: 252672
- new version 5.4
- add 'pam-devel' as BuildRequire

* Sat Dec 17 2011 stewb <stewb> 5.3.1-2.mga2
+ Revision: 183127
- only enable logging, includes are too noisy when there aren't any

* Sat Dec 17 2011 stewb <stewb> 5.3.1-1.mga2
+ Revision: 183116
- imported package monit

